Subject: bug#18359: Macro expansion failure [MSYS2-MinGW64]

From: Angelo Graziosi <[email-masked]>
Date: Sat, 30 Aug 2014 18:15:29 +0200

Il 30/08/2014 09:21, Eli Zaretskii ha scritto:
>> Date: Fri, 29 Aug 2014 22:49:21 +0200
>> From: Angelo Graziosi <[email-masked]>
>>
>> With recent trunk, building the 64 bit build of Emacs on Windows using
>> MSYS2/MinGW64 tools, produces many "macro-expansion failure" messages:
>>
>> [...]
>> Eager macro-expansion failure: (error "Lisp nesting exceeds
>> `max-lisp-eval-depth'")
>> Eager macro-expansion failure: (error "Lisp nesting exceeds
>> `max-lisp-eval-depth'")
>
> Please provide more context from the build log, around these
> messages.  At least which Lisp files cause them.
>

OK, I solved the build errors.. switching to e pseudo-BZR repo, i.e. a 
repo from which I stripped all the .bzr*, .git*, .gdb* stuffs..

If I build in a source tree created with,

$ bzr checkout --lightweight http://bzr.savannah.gnu.org/r/emacs/trunk emacs

the build fails :

[...]
Making generated-autoload-file local to  *autoload-file* while let-bound!
Generating autoloads for dired-aux.el...
Loading macroexp.elc...
make[2]: ingresso nella directory "/tmp/emacs/lisp"
make[2]: ingresso nella directory "/tmp/emacs/lisp"
Compiling ../lisp/button.el
Compiling ../lisp/startup.el

Searching for program: no such file or directory, bzr
                                      ????? ^^^^^^^^^^^^^^^^ ?????

Makefile:181: set di istruzioni per l'obiettivo "autoloads" non riuscito
make[2]: *** [autoloads] Errore 127
make[2]: uscita dalla directory "/tmp/emacs/lisp"
Makefile:800: set di istruzioni per l'obiettivo "../lisp/loaddefs.el" 
non riuscito
make[1]: *** [../lisp/loaddefs.el] Errore 2
make[1]: *** Attesa per i processi non terminati....

In toplevel form:
startup.el:118:1:Warning: global/dynamic var `argi' lacks a prefix

Wrote c:/msys64/tmp/emacs/lisp/button.elc

make[2]: uscita dalla directory "/tmp/emacs/lisp"
Wrote c:/msys64/tmp/emacs/lisp/startup.elc

make[2]: uscita dalla directory "/tmp/emacs/lisp"
make[1]: uscita dalla directory "/tmp/emacs/src"
Makefile:379: set di istruzioni per l'obiettivo "src" non riuscito
make: *** [src] Errore 2

For some reason, I need to create the emacs tree folder with a command 
like this:

$ rsync -av --exclude=.bzr* --exclude=.git* --exclude=.gdb* 
~/work/emacs-trunk/ /tmp/emacs/

Ciao,
Angelo.